#version 450

layout (location = 0) in vec3 in_world_pos;

layout (location = 0) out float out_frag_color;

layout (set = 2, binding = 0) uniform LightInfo {
    vec4 direction;
    vec3 color;
    float distance;
} light;

layout (set = 2, binding = 1) uniform ExtraInfo {
    vec3 center;
} extra;

void main()
{
    vec3 light_pos = extra.center + light.direction.xyz * light.distance;
    vec3 light_vec = in_world_pos - light_pos;

	// Store distance to light as 32 bit float value
    out_frag_color = length(light_vec);
}